package com.fjhx.material.service;

import com.fjhx.entity.material.Material;
import com.fjhx.base.BaseService;
import com.fjhx.params.material.EditMaterialVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物料 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-20
 */
public interface MaterialService extends BaseService<Material> {


    /**
     * 下拉列表
     *
     * @param condition
     * @return
     */
    List<Material> selectList(Map<String, Object> condition);

    /**
     * 下拉用途
     * @return
     */
    List<Material> selectPurpose(String purpose);

    List<Map<String, Object>> getMaterialPrice(String materialCode);

    List<Map<String, Object>> getInRfidData(List<String> rfidList);

    List<Map<String, Object>> getOutRfidData(List<String> rfidList, String stockHouseId);

    boolean edit(EditMaterialVo editMaterialVo);

}
